We’ve refreshed our API documentation with a brand-new look and feel. Don’t worry, everything you rely on is still there. The content hasn’t changed; it’s just had a makeover to make it cleaner, clearer, and easier to navigate.
curl --request GET \
--url https://api.kinsta.com/v2/sites/{site_id}/environments/{env_id}/ssh/config \
--header 'Authorization: Bearer <token>'{
"site": {
"id": "<string>",
"name": "<string>",
"displayName": "<string>",
"usr": "<string>",
"environment": {
"id": "<string>",
"activeContainer": {
"id": "<string>",
"lxdSshPort": "<string>",
"loadBalancer": {
"id": "<string>",
"extIP": "<string>"
}
}
}
},
"port": "<string>",
"name": "<string>",
"host": "<string>",
"user": "<string>",
"ssh_command": "<string>"
}curl --request GET \
--url https://api.kinsta.com/v2/sites/{site_id}/environments/{env_id}/ssh/config \
--header 'Authorization: Bearer <token>'{
"site": {
"id": "<string>",
"name": "<string>",
"displayName": "<string>",
"usr": "<string>",
"environment": {
"id": "<string>",
"activeContainer": {
"id": "<string>",
"lxdSshPort": "<string>",
"loadBalancer": {
"id": "<string>",
"extIP": "<string>"
}
}
}
},
"port": "<string>",
"name": "<string>",
"host": "<string>",
"user": "<string>",
"ssh_command": "<string>"
}Documentation Index
Fetch the complete documentation index at: https://api-docs.kinsta.com/llms.txt
Use this file to discover all available pages before exploring further.
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.